| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiSvc::GaudiSvcConf::EvtPersistencySvc Class Reference

List of all members.

## Detailed Description

Definition at line 1283 of file GaudiSvcConf.py.

## Public Member Functions
def | __init__
def | getDlls
def | getType
## Static Private Attributes
dictionary | __slots__
dictionary | _propertyDocDct

## Member Function Documentation

def GaudiSvc::GaudiSvcConf::EvtPersistencySvc::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`,
|  |  | kwargs |
| ) |  |  |

Definition at line 1297 of file GaudiSvcConf.py.

    01297                                                                :
    01298       super(EvtPersistencySvc, self).__init__(name)
    01299       for n,v in kwargs.items():
    01300          setattr(self, n, v)
      def getDlls( self ):

def GaudiSvc::GaudiSvcConf::EvtPersistencySvc::getDlls | ( |  | self | ) |

Definition at line 1301 of file GaudiSvcConf.py.

    01301                      :
    01302       return 'GaudiSvc'
      def getType( self ):

def GaudiSvc::GaudiSvcConf::EvtPersistencySvc::getType | ( |  | self | ) |

Definition at line 1303 of file GaudiSvcConf.py.

    01303                      :
    01304       return 'EvtPersistencySvc'
      pass # class EvtPersistencySvc

## Member Data Documentation

dictionary GaudiSvc::GaudiSvcConf::EvtPersistencySvc::__slots__`[static, private]`

Initial value:

    {
        'OutputLevel' : 0, # int
        'AuditServices' : False, # bool
        'AuditInitialize' : False, # bool
        'AuditStart' : False, # bool
        'AuditStop' : False, # bool
        'AuditFinalize' : False, # bool
        'AuditReInitialize' : False, # bool
        'AuditReStart' : False, # bool
        'CnvServices' : [  ], # list
      }

Definition at line 1284 of file GaudiSvcConf.py.

dictionary GaudiSvc::GaudiSvcConf::EvtPersistencySvc::_propertyDocDct`[static, private]`

Initial value:

    {
      }

Definition at line 1295 of file GaudiSvcConf.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiSvc/genConf/GaudiSvc/GaudiSvcConf.py